# Tarfile created from Mercurial repository
# hg clone https://photivo.googlecode.com/hg/  %{name}-`date +%Y%m%d`
# cd %{name}-`date +%Y%m%d`
# hg update 
# cd - && tar cf %{name}-`date +%Y%m%d`
# bzip2 %{name}-`date +%Y%m%d`.tar

%global tarfile	%{name}-%{version}.tar.bz2

Name:		photivo
Version:	20111125
Release:	1%{?dist}
Summary:	RAW photo processor

Group:		Applications/Multimedia 
License:	GPLv3+
URL:		http://www.photivo.org/
Source0:	%{tarfile}

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: ccache libtool convmv mercurial
BuildRequires: qt-devel exiv2-devel lensfun-devel fftw-devel gimp-devel lcms2-devel bzip2-devel liblqr-1-devel
BuildRequires: libjpeg-devel libtiff-devel libpng-devel GraphicsMagick-c++-devel  GraphicsMagick-devel
BuildRequires: desktop-file-utils

%description
Photivo is a free and open source photo processor. 
It handles your RAW files as well as your bitmap files in a non-destructive 
16 bit processing pipe with integrated gimp export and batch mode.

%prep
%setup -q

sed -i "s|.*shortcut2.*||g" photivo.pro
sed -i "s|QMAKE_POST_LINK=strip \$(TARGET)||g" photivoProject/photivoProject.pro
chmod 0644 Sources/{*.h,*.cpp,*/*.c,*/*.h}

%build
qmake-qt4 PREFIX=%{_prefix}	QMAKE_CFLAGS="%{optflags}"\
				QMAKE_CXXFLAGS="%{optflags}" \
				QMAKE_LFLAGS="%{optflags}" QMAKE_STRIP=":"
make	%{?_smp_mflags}    

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot} 
mkdir -p %{buildroot}/%{_bindir}

install -p -m 755 ptClear %{buildroot}/%{_bindir}

# Fix perms for lensfun
chmod 0644 $RPM_BUILD_ROOT/%{_datadir}/%{name}/LensfunDatabase/*.xml
chmod 0644 $RPM_BUILD_ROOT/%{_datadir}/%{name}/ChannelMixers/*.ptm

# Fix perms 
chmod 0644 README COPYING
sed -i "s|\r||g" README

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING README
%{_bindir}/photivo
%{_bindir}/ptClear
%{_datadir}/photivo
%{_datadir}/applications/photivo.desktop
%{_datadir}/pixmaps/photivo-appicon.png

%changelog
* Fri Nov 25 2011 Thibault North <tnorth@fedoraproject.org> - 20111125-1
- Sync upstream

* Wed Apr 27 2011 Thibault North <tnorth@fedoraproject.org> - 20110427-1
- Initial package
